
                         TOTALLY ACCURATE CLOCK
                              ANNOUNCEMENT

                         Tom Clark, NASA/GSFC
                           February 2, 1995

At the November VLBI station chief's meeting at Haystack I showed many of
you the first prototype of a project I have been working on (mostly at
home in my basement) which I call the "TOTALLY ACCURATE CLOCK" (TAC). 
This note will update you on the project and tell you what to do to get one.

The "TAC" name is supposed to invoke a smile on your face. Many of you
remember Heathkit's "Most Accurate Clock" (a WWV receiver) and I see
advertisements for VLF clocks (WWVB in USA, DCF77 in Europe) that still use 
the "Most Accurate Clock" name in their advertising. Since the "TAC" is 
3-4 orders of magnitude better than the "Most Accurate Clock" units, the
"Totally" name seems warranted (also, TAC are my initials and this was
begun as a home project!).

The TAC project began when I was on sabbatical at Onsala when Bernt
Ronnang got me an early prototype of a Motorola PVT-6 OEM GPS receiver.
In that incarnation, the PVT-6 was pretty disappointing. When I got back
home, I had Motorola update the internal firmware and found that its
personality had changed completely -- it was now very precise, but it had
about a 500 nsec bias. I contacted a friend at Motorola who was involved
in the PVT-6 software and he told me that tests at USNO had uncovered the
same error. I was added to the "beta" group, got my initial prototype
updated with the latest firmware and began more detailed testing. What I
then found was that the PVT-6 receiver had the best timing performance I
have seen in any small GPS receiver. With a small amount of care in
setting it up, it now gives 50 nsec or better RMS timing precision and
biases appear to be < 20 nsec.

About a year ago, I packaged up a PVT-6 for personal use and continued
development and testing. When I told some of my VLBI and SLR colleagues
of the development I had been doing at home in my basement, they
encouraged me to make the design available to the community. It is that
availability I am announcing in this message.

At the Haystack meeting I showed some preliminary results from the first
two prototype TAC's running against two different Hydrogen Masers. Since
that time I did a 2 week long run sampling every 5 minutes. In that
period there were ZERO spurious readings, and the RMS of fit to a
straight line (Maser offset 2.13E-13) was 44.9 nsec on an HP5345
computing counter (which has 2 nsec internal clock).

A few comments about this performance: Each 5 minute sample in this test
was the average of 4-5 GPS pulses. In the PVT-6, the 1 PPS output is
derived from a ~10 MHz oscillator with no phase resolver on its output.
Hence individual pulses are uniformly distributed over a +/- ~50 nsec
window. Averaging a few individual pulses in the counter reduces this
jitter to a level comparable to the basic instrumental precision.

The US military dithers the GPS clocks ("Selective Availability") on
individual satellites over time scales ~1 to ~30 minutes with peak-to-
peak amplitudes of about +/- 100 meters (+/- 300 nsec). When the PVT-6
receiver is operating in position-constrained (I call it "timing") mode,
it averages the timing data from all the satellites it is tracking. The
SA modulation is incoherent between satellites, so the effects of SA are
reduced as the square-root of the number of satellites being tracked. If
part of the satellites have to be used to also determine position, about
100 nsec timing results and SA effects are more serious.

                     ------------------------------

The TAC project now involves both hardware and software. Let me briefly
describe both to you.

HARDWARE: The core of the TAC consists of the Motorola single-board OEM
receiver that Motorola now calls the "ONCORE BASIC", which needs to be
equipped with Motorola's "OPTION A (timing)". The receiver is a small
circuit board (70x100 mm in size) with a coax input connector and a 10-
pin power/data connector. The receiver operates from either +9 to +36vDC
(using an onboard DC-DC power converter) or +5VDC (bypassing the power
converter). It want to have a small battery connected to keep a coarse
time-of-day clock operating when power is removed. These power
connections account for 4 of the 10 connector pins. Two more pins are for
a 0/+5v 1 PPS signal output, and 3 pins are for RS232 I/O & gnd. The 10th
pin is used by Motorola when they reprogram the firmware.

In the USA, the price of this module (quantity 1-99) is about $500 each
in its OEM version. Motorola also sells a developer's kit with other
options enabled, plus an (almost useless) power cable, plus antenna, plus
complete operating documentation, plus a floppy with Motorola's
controller software; this kit costs about $1000.

Motorola has two other versions of this receiver which I have not tested.
The ONCORE XT consists of a PVT-6 ONCORE BASIC receiver in a fancy metal
box. The ONCORE VP is a stripped-down version without the DC/DC power
converter (hence only operating from +5vDC) and with 0/+5V levels on the
serial I/O (i.e. not RS232). From Motorola's data sheets, we can probably
make an ONCORE VP work with the rest of the TAC hardware/software, but
this possibility is untested. If you get either an XT or VP version, be
certain to have OPTION A enabled.

I have designed a small circuit board that is the same size as the
Motorola board designed to mount above the receiver that adds a number of
desirable features:

   - The 1 PPS output signals are buffered through a 74AC gate to improve
     the drive capabilities and to act as a "fuse" to prevent damage to
     the receiver in case of an operator goof. Up to three independent
     buffered outputs are provided, and the buffers will drive about +2
     to +2.5 volts into a 50 ohm termination. The normal logic polarity
     is positive going at the epoch time, but this can be inverted if
     desired by some simple jumpers.

   - Up to three open collector 1PPS signals are also available, negative
     going. Normally these would be used to drive display LEDs, but they
     can be used for other purposes.

   - The 1575 MHz RF signal is amplified in an MMIC microwave amplifier.
     This improves the receiver's RF performance and also serves as a
     "fuse" to minimize lightning damage. Most GPS antennas have internal
     preamplifiers, and the add-on board provides this bias. Most small
     antennas require +5vDC bias, but you can add an optional regulator
     if you need a different bias voltage.

   - The add-on board includes an RS232 driver that provides 1 PPS time
     synchronization to an attached computer. The 1 PPS signal is
     normally connected to the computer's DCD input.

   - The RS232 I/O to the computer is buffered and isolated from the
     receiver to act as a "fuse" to prevent damage to the expensive
     receiver in case of an operator goof. An RS232 OR-gate is supplied
     for the receiver input signal to allow RTCM SC104 Differential GPS
     signals to be fed to the GPS receiver.

We have developed a very nice looking, low-cost box to house all this
hardware. I found a well-made commercial RS232 "A/B" switch box that is
quite rugged and attractive (and it is cheaper than any other sheet-metal
I have found!). We gut the innards from the commercial box, add custom
labels, and then package the entire TAC in the box. The box has 3 BNC
connectors (isolated 1 PPS signals front and rear plus antenna), a LED
that flashes once/second on the front panel, and two 9-pin RS232
connectors (computer and RTCM SC104 input) plus a standard coaxial power
jack (like you see on transistor radios and many laptop computers) on the
rear panel. Inside the box are the PVT-6 and add-on boards, a 9 volt NiCd
battery and a fuse.

The receiver needs a power supply (+12vDC). The best source we have found
for these is the small "brick" switching power supplies used for lap-top
computers. The one we have chosen works on any line voltage from 100 to
250vAC at either 50 or 60 Hz.

The final hardware item that the receiver needs is a GPS antenna. I have
not been impressed with the antenna Motorola sells with the PVT-6. I have
selected a better small antenna (Trimble), about the size of a hockey
puck. This antenna was designed for mobile use and has a magnet to hold
it to a sheet of steel. It has 4 tapped holes if you want to bolt it to
something. The antenna can be about 20-30 meters from the receiver when
you use RG58 cable.

                     ------------------------------

SOFTWARE: The controller software Motorola provides works well and can
exercise ALL receiver functions, but it needs some additions. To get the
highest possible timing accuracy, you need to constrain the receiver to a
fixed position accurate to 10-20 meters. I have written a small program
that averages a few hours of data collected by the receiver. I have found
a shareware program that makes the initial data acquisition easier by
scheduling all the tasks to occur automatically. Motorola has told me
informally they have no objection to distribution of their controller
software to PVT-6 users who buy only the $500 OEM receiver. All this
software runs on a stock IBM-PC clone with the receiver connected to
either COM1 or COM2.

But, in my opinion, this code left a lot to be desired! The Motorola
commands are a bit obscure. You can set the time to any desired epoch
with 1 nsec resolution, but this takes a lot of arithmetic (especially if
you want the GPS 1PPS signal to be ahead of your station frequency
standard). The time-of-day display is hard to read and it is not easy to
select the correct second to push the sync button on a Mark-3 formatter
while watching the display.

To improve this and make the TAC more user-friendly, I have written an
IBM-PC program called SHOWTIME that does all the functions that I wanted
to have! SHOWTIME displays the current time in BIG DIGITS you can see
from across the room. In addition to just showing the UTC time, it
includes a display of the date, day-of-week, day-of-year, local and
Greenwich Mean Sidereal times, JD and MJD, and even the current GPS week.
You can enable audible "WWV-like" time ticks to assist you in setting the
formatter (or your wrist-watch). You can have the software automatically
reset the PC's internal clock with about 25 msec accuracy. All the time
display updates and audible ticks happen synchronously with the GPS 1 PPS
signal because the PC reads the tick on its DCD line.

SHOWTIME allows you enter timing offsets and handles all the arithmetic
for you. It allows you to make easy corrections for time delays in cables
and the instrument and it tells you (with 1 nsec resolution) the actual
epoch of the 1PPS tick and it gives you an estimate of the accuracy of
the tick. SHOWTIME gives you a nice display of which satellites you using
and which satellites are above the horizon. This includes a bar-graph "S-
meter" for each of the GPS satellites currently in lock which are updated
once per second.

The software lets you change operating modes (timing vs. position,
elevation masks, satellite selection criteria, etc) easily and when you
are running in position-determination mode, it will handle all the
position averaging tasks for you. At any time, you can save the current
configuration (positions, timing offsets, receiver modes, etc) to a disk
file and restore that configuration at a later time.

At this time SHOWTIME runs stand-alone on a separate MS-DOS PC (but it
does seem to run OK in the DesqView multitasker). Once you have set
parameters into the GPS receiver, the PC operations can be terminated.
If the VLBI community likes SHOWTIME's functionality, then we will
consider adding this functionality to the Mk-3/4 Field System. We want
feedback from you on what functions are desired in both the stand-alone
and field system versions.

                     ------------------------------

STATUS: Based on the response at the VLBI meeting (and subsequent
telephone calls and Email messages), plus some needs of the SLR community
and another group at NASA/GSFC, we have begun a mass-production run of 25
TAC modules; Irv Diegel at AlliedSignal is overseeing this activity. Just
tonight (Feb.2) I have the first of the production receivers operating.

It appears that the cost we will have to charge is $1100 +/- $100 each
for a complete package (TAC with GPS receiver, power supply and antenna),
based on the following:

         PVT-6 ONCORE BASIC MODULE                  $ 500
         Circuit board with parts                   $ 100
         Antenna                                    $ 125
         Power Supply                               $  50
         Cabinet and small components               $  75
         Assembly Labor, testing, contingency       $ 250
                                                  --------
                                                    $1100

NASA has reimbursable funding agreements with many organizations. We can
use that vehicle to enable you to get units.

If we have no agreement, then I propose that we work on a barter basis.
If you want one unit, then we will tell you to send us the that
equivalent in parts. For example -- we might have you purchase 20-25 of
the power supplies, or send us two of the Motorola receivers, or that you
purchase a quantity of the antennas. We will have to orchestrate this
very closely so that we end up with the correct total quantities!

If you want to build a TAC yourself, I will provide you with the
software, documentation and the add-on circuit board (bare) as our
contribution.

In order to get the production line started, I need a firm commitment of
interest from you as soon as possible. Send me Email to

             clark@tomcat.gsfc.nasa.gov

Regards, Tom Clark
